# pqxx::prepare::declaration Class Reference

Helper class for declaring parameters to prepared statements. More...

`#include <prepared_statement.hxx>`

List of all members.

## Public Member Functions

| declaration (connection_base &, const PGSTD::string &statement)
const declaration & | operator() (const PGSTD::string &sqltype, param_treatment) const
| Add a parameter specification to prepared statement declaration.

## Detailed Description

Helper class for declaring parameters to prepared statements.

You probably won't want to use this class. It's here just so you can declare parameters by adding parenthesized declarations directly after the statement declaration itself:

     C.prepare(name, query)(paramtype1)(paramtype2, treatment)(paramtype3);

## Constructor & Destructor Documentation

pqxx::prepare::declaration::declaration | ( | connection_base & | ,
|  | const PGSTD::string & | statement |
| ) |  |  |

## Member Function Documentation

const pqxx::prepare::declaration & pqxx::prepare::declaration::operator() | ( | const PGSTD::string & | sqltype,
|  | param_treatment |  |
| ) |  |  | const

Add a parameter specification to prepared statement declaration.

The documentation for this class was generated from the following files:

- prepared_statement.hxx
- prepared_statement.cxx